Bug 161945 - java/openjdk6: install jars to generate zoneinfo files
java/openjdk6: install jars to generate zoneinfo files
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-23 21:50 UTC by Jilles Tjoelker
Modified: 2011-12-30 06:50 UTC (History)
0 users

See Also:


Attachments
openjdk6-install-font-zic-jars.patch (631 bytes, patch)
2011-10-23 21:50 UTC, Jilles Tjoelker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jilles Tjoelker freebsd_committer 2011-10-23 21:50:03 UTC
As noted in message
http://lists.freebsd.org/pipermail/freebsd-java/2011-June/009251.html
we need javazic.jar to generate Java timezone information files to
avoid the need to download the tzupdater.

This file is currently built, but not installed.

The Debian package of the openjdk installs this file, and also another
file compilefontconfig.jar which is apparently useful to generate Java
font configuration files, in jre/lib/. I propose to do the same.

I have a similar patch for java/openjdk7 but I have not tried actually
running the resulting javazic.jar. The one from java/openjdk6 definitely
works.

Fix: Apply the below patch and bump PORTREVISION.
How-To-Repeat: -
Comment 1 Edwin Groothuis freebsd_committer 2011-10-23 21:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jgh@FreeBSD.org freebsd_committer 2011-12-29 18:58:49 UTC
Responsible Changed
From-To: freebsd-java->jgh

discussed with glewis over mail, I'm taking this
Comment 3 dfilter freebsd_committer 2011-12-30 06:42:28 UTC
jgh         2011-12-30 06:42:14 UTC

  FreeBSD ports repository

  Modified files:
    java/openjdk6        Makefile 
  Log:
  Installs built jars that were previously not installed.
  
  * javazic.jar to generate Java timezone information files
  * compilefontconfig.jar to generate Java font configuration files
  
  PR: ports/161945
  Submitted by:   Jilles Tjoelker <jilles at stack.nl>
  Reviewed by: glewis
  Approved by: glewis, crees (mentor)
  
  Revision  Changes    Path
  1.54      +2 -0      ports/java/openjdk6/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 jgh@FreeBSD.org freebsd_committer 2011-12-30 06:43:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!